package com.ys.bdtp.adm.mvvm.model.db.relation

import androidx.room.Embedded
import androidx.room.Relation
import com.ys.bdtp.adm.mvvm.model.db.entity.task.BuildingEntity
import com.ys.bdtp.adm.mvvm.model.db.entity.task.ProjectEntity

/**
 * Project 与 Building 一对多关系表
 */
data class ProjectWithBuildings(
    @Embedded val project: ProjectEntity,
    @Relation(
        parentColumn = "id",
        entityColumn = "project_id"
    )
    val buildings: List<BuildingEntity>
)
