package com.ys.bdtp.adm.mvvm.ui.compose

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.*
import androidx.compose.material.IconButton
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.font.FontWeight.Companion.Bold
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.ys.bdtp.adm.R
import com.ys.bdtp.adm.app.theme.divColor
import com.ys.bdtp.adm.app.theme.textBlackColor


@Composable
fun HeadLeft(
    title: String,
    back: (() -> Unit)? = null,
    space: Int = 16
) {
    Row(
        verticalAlignment = Alignment.CenterVertically,
        horizontalArrangement = Arrangement.Start
    ) {

        Spacer(modifier = Modifier.width(space.dp))

        IconButton(
            modifier = Modifier.size(56.dp),
            onClick = {
                back?.invoke()
            }
        ) {
            Image(
                painter = painterResource(R.drawable.arrow_back),
                contentDescription = "",
                modifier = Modifier.size(24.dp)
            )
        }

        Spacer(
            modifier = Modifier
                .width(1.dp)
                .height(16.dp)
                .background(divColor)
        )

        Spacer(
            modifier = Modifier
                .width(16.dp)
                .background(divColor)
        )

        Text(text = title, fontSize = 16.sp, fontWeight = FontWeight.Bold, color = textBlackColor)

        Spacer(
            modifier = Modifier
                .width(16.dp)
                .background(divColor)
        )

    }
}


@Preview(backgroundColor = 0xFF000000)
@Composable
fun PreviewHeadLeft() {
    HeadLeft("京东")
}
