package com.ys.bdtp.adm.mvvm.vm.cad

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.ys.bdtp.adm.mvvm.model.Data
import com.ys.bdtp.adm.mvvm.model.db.relation.ProjectWithBuildingAndFloors
import kotlinx.coroutines.flow.SharingStarted
import kotlinx.coroutines.flow.stateIn

class CadViewModel(private val repo: CadRepository) : ViewModel() {

    /**
     * 建筑楼层一对多 Flow
     */


    /*fun getProjectWithBuildingAndFloors(id: String) = repo.getProjectWithBuildingAndFloors(id)
        .stateIn(
            scope = viewModelScope,
            started = SharingStarted.WhileSubscribed(5000),
            initialValue = Data.loading()
        )*/

    suspend fun getProject(id: String): ProjectWithBuildingAndFloors {
        return repo.getProject(id)
    }
    /* fun getFloorWithCads(id: String) = repo.getFloorWithCads(id)
         .stateIn(
             scope = viewModelScope,
             started = SharingStarted.WhileSubscribed(5000),
             initialValue = Data.loading()
         )
 */

    suspend fun getFloorWithCads(id: String) = repo.getFloorWithCads(id)


    /**
     * 退出
     */
    suspend fun logout() {
        repo.logout()
    }
}
